Mandrake Linux Security Advisory : groff (MDKSA-2006:038)

Low Nessus Plugin ID 20878


The remote Mandrake Linux host is missing one or more security updates.


The Trustix Secure Linux team discovered a vulnerability in the groffer utility, part of the groff package. It created a temporary directory in an insecure way which allowed for the exploitation of a race condition to create or overwrite files the privileges of the user invoking groffer.

Likewise, similar temporary file issues were fixed in the pic2graph and eqn2graph programs which now use mktemp to create temporary files, as discovered by Javier Fernandez-Sanguino Pena.

The updated packages have been patched to correct this issue.


Update the affected packages.

Plugin Details

Severity: Low

ID: 20878

File Name: mandrake_MDKSA-2006-038.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2006/02/10

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 2.1

Vector: CVSS2#AV:L/AC:L/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:groff, p-cpe:/a:mandriva:linux:groff-for-man, p-cpe:/a:mandriva:linux:groff-gxditview, p-cpe:/a:mandriva:linux:groff-perl, cpe:/o:mandrakesoft:mandrake_linux:10.1, cpe:/o:mandriva:linux:2006, x-cpe:/o:mandrakesoft:mandrake_linux:le2005

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2006/02/08

Reference Information

CVE: CVE-2004-0969

MDKSA: 2006:038